Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.diff
Class Difference

    java.lang.Object
      org.crosswire.common.diff.Difference

    public class Difference

extends Object

Represents a single difference, consisting of an EditType and associated text.

Author:
  DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `for license details.
  The copyright to this program is held by it's authors.`

Field Summary
`private EditType` | `editType` The edit to perform
`private int` | `index`
`private String` | `text`

Constructor Summary
`Difference(EditType edit, String text)`

Method Summary
`void` | `appendText(char addText)`
`void` | `appendText(String addText)`
`boolean` | `equals(Object obj)`
`EditType` | `getEditType()`
`int` | `getIndex()`
`String` | `getText()`
`int` | `hashCode()`
`void` | `prependText(char addText)`
`void` | `prependText(String addText)`
`void` | `setEditType(EditType newEditType)`
`void` | `setIndex(int newIndex)`
`void` | `setText(String newText)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### editType

    private EditType editType

  The edit to perform

### text

    private String text

### index

    private int index

Constructor Detail

### Difference

    public Difference(EditType edit,
                      String text)

Method Detail

### getEditType

    public EditType getEditType()

  Returns:
    the EditType

### setEditType

    public void setEditType(EditType newEditType)

  Parameters:
    `newEditType` - the EditType to set

### getText

    public String getText()

  Returns:
    the text

### setText

    public void setText(String newText)

  Parameters:
    `newText` - the text to set

### getIndex

    public int getIndex()

  Returns:
    the index

### setIndex

    public void setIndex(int newIndex)

  Parameters:
    `newIndex` - the index to set

### appendText

    public void appendText(String addText)

  Parameters:
    `addText` - the text to set

### appendText

    public void appendText(char addText)

  Parameters:
    `addText` - the text to set

### prependText

    public void prependText(String addText)

  Parameters:
    `addText` - the text to set

### prependText

    public void prependText(char addText)

  Parameters:
    `addText` - the text to set

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD